--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: name
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: version_requirements
  rw: W
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: The Dependency class holds a Gem name and a Gem::Requirement
constants: []

full_name: Gem::Dependency
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: <=>
- !ruby/object:RI::MethodSummary 
  name: hash
- !ruby/object:RI::MethodSummary 
  name: normalize
- !ruby/object:RI::MethodSummary 
  name: requirement_list
- !ruby/object:RI::MethodSummary 
  name: requirements_list
- !ruby/object:RI::MethodSummary 
  name: version_requirements
name: Dependency
superclass: Object
